--
-- Patch DML de GRHUM du 26/03/2012 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 2
-- Type : DML
-- Schema : GRHUM
-- Numero de version : 1.7.1.6
-- Date de publication : 26/03/2012
-- Auteur(s) : Cocktail
-- Licence : CeCILL version 2
--
--

WHENEVER SQLERROR EXIT SQL.SQLCODE;


--
-- DB_VERSION
--
INSERT INTO GRHUM.DB_VERSION VALUES(GRHUM.DB_VERSION_SEQ.NEXTVAL, '1.7.1.6', TO_DATE('26/03/2012', 'DD/MM/YYYY'),NULL,'Nomenclature CATEGORIE_EMPLOI_LOLF, ajout de TEM_LOCAL pour les tables CORPS, GRADE, INDICE, PASSAGE_ECHELON, TYPE_CONTRAT_TRAVAIL, grilles indiciaires des ASTRONOMES ADJOINTS et des CASU');



--
-- GRHUM_PARAMETRES
--
-- Unicité des param_key like 'org.cocktail.%'
DELETE FROM GRHUM.GRHUM_PARAMETRES
where param_key in (select param_key from(select param_key,count(*) from grhum_parametres where param_key like 'org.cocktail.%' group by param_key having count(*) > 1))
and param_ordre not in (select param_ordre from(select max(param_ordre) param_ordre,count(*)from grhum_parametres where param_key like 'org.cocktail.%' group by param_key having count(*) > 1));

CREATE UNIQUE INDEX GRHUM.UK_PARAM_KEY ON GRHUM.GRHUM_PARAMETRES(decode(param_key,'EDT_CREATEUR',null,'ENCAISSEMENT_WEB',null,'GRHUM_CREATEUR',null,'RESERVATION_DOMAINE',null,'SALLE_STRUCTURE',null,param_key));



--
-- CATEGORIE_EMPLOI_LOLF  
--
insert into GRHUM.CATEGORIE_EMPLOI_LOLF(CEML_ORDRE, CEML_CODE, CEML_LC, CEML_LL, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION)
select CATEGORIE_EMPLOI_LOLF_SEQ.nextval,'ADMT','ADM-TECHN','Personnels administratifs, techniques et',to_date('01/01/2006','DD/MM/YYYY'),null,sysdate,sysdate from dual;
insert into GRHUM.CATEGORIE_EMPLOI_LOLF(CEML_ORDRE, CEML_CODE, CEML_LC, CEML_LL, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION)
select CATEGORIE_EMPLOI_LOLF_SEQ.nextval,'CADR','ENCADR','Personnels d''encadrement',to_date('01/01/2006','DD/MM/YYYY'),null,sysdate,sysdate from dual;
insert into GRHUM.CATEGORIE_EMPLOI_LOLF(CEML_ORDRE, CEML_CODE, CEML_LC, CEML_LL, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION)
select CATEGORIE_EMPLOI_LOLF_SEQ.nextval,'ENS1','ENS-1DG','Enseignants du 1er degré',to_date('01/01/2006','DD/MM/YYYY'),null,sysdate,sysdate from dual;
insert into GRHUM.CATEGORIE_EMPLOI_LOLF(CEML_ORDRE, CEML_CODE, CEML_LC, CEML_LL, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION)
select CATEGORIE_EMPLOI_LOLF_SEQ.nextval,'ENS2','ENS-2DG','Enseignants du 2nd degré',to_date('01/01/2006','DD/MM/YYYY'),null,sysdate,sysdate from dual;
insert into GRHUM.CATEGORIE_EMPLOI_LOLF(CEML_ORDRE, CEML_CODE, CEML_LC, CEML_LL, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION)
select CATEGORIE_EMPLOI_LOLF_SEQ.nextval,'ENSC','ENS-CHERCH','Personnels enseignants-chercheurs et ass',to_date('01/01/2006','DD/MM/YYYY'),null,sysdate,sysdate from dual;
insert into GRHUM.CATEGORIE_EMPLOI_LOLF(CEML_ORDRE, CEML_CODE, CEML_LC, CEML_LL, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION)
select CATEGORIE_EMPLOI_LOLF_SEQ.nextval,'ENST','ENS-STG','Personnels enseignants stagiaires',to_date('01/01/2006','DD/MM/YYYY'),null,sysdate,sysdate from dual;
insert into GRHUM.CATEGORIE_EMPLOI_LOLF(CEML_ORDRE, CEML_CODE, CEML_LC, CEML_LL, D_OUVERTURE, D_FERMETURE, D_CREATION, D_MODIFICATION)
select CATEGORIE_EMPLOI_LOLF_SEQ.nextval,'SUIV','ACCOMP-SUI','Personnels d''accompagnement et de suivi',to_date('01/01/2006','DD/MM/YYYY'),null,sysdate,sysdate from dual;



--
-- SPECIALITE_ATOS
--
Insert into GRHUM.SPECIALITE_ATOS(C_SPECIALITE_ATOS, LC_SPECIALITE_ATOS, LL_SPECIALITE_ATOS, D_CREATION, D_MODIFICATION) Values('R9075', 'ACC', 'ACCUEIL', SYSDATE, SYSDATE);



--
-- TYPE_CONTRAT_TRAVAIL
--
UPDATE GRHUM.TYPE_CONTRAT_TRAVAIL SET TEM_ENSEIGNANT='O', D_MODIFICATION=SYSDATE WHERE C_TYPE_CONTRAT_TRAV='DO';
UPDATE GRHUM.TYPE_CONTRAT_TRAVAIL SET TEM_ENSEIGNANT='N', D_MODIFICATION=SYSDATE WHERE C_TYPE_CONTRAT_TRAV='DN';



--
-- POSITION
--
UPDATE GRHUM.POSITION SET C_POSITION_GESUP='C101', D_MODIFICATION=SYSDATE WHERE C_POSITION='CLD';



--
-- TYPE_MOT_PROLONGATION
--
UPDATE GRHUM.TYPE_MOT_PROLONGATION SET LC_TYPE_MOT_PROLONGATION='1ENFANT65ANS', D_MODIFICATION=SYSDATE WHERE C_TYPE_MOT_PROLONGATION_ONP='PA201';



--
-- GRADE
--
UPDATE GRHUM.GRADE SET D_FERMETURE=NULL, D_MODIFICATION=SYSDATE WHERE C_GRADE='9961';
UPDATE GRHUM.GRADE SET D_OUVERTURE=TO_DATE('12/03/1986','DD/MM/YYYY'), D_MODIFICATION=SYSDATE WHERE C_GRADE IN ('3321','3322','3323');
UPDATE GRHUM.GRADE SET D_OUVERTURE=TO_DATE('01/01/2002','DD/MM/YYYY'), D_MODIFICATION=SYSDATE WHERE C_GRADE = '3324';
-- CASU
UPDATE GRHUM.GRADE SET D_FERMETURE=TO_DATE('31/12/2010','DD/MM/YYYY'), D_MODIFICATION=SYSDATE WHERE C_GRADE IN('0314','0315');
INSERT INTO GRHUM.GRADE(C_GRADE, LC_GRADE, LL_GRADE, C_CORPS, C_CATEGORIE, TEMOIN_NOTE, D_OUVERTURE, D_CREATION, D_MODIFICATION, TEM_LOCAL)
 VALUES('0316','CASU','CONSEILLER D''ADMINISTRATION SCOLAIRE ET UNIVERSITAIRE','031','A','O',TO_DATE('01/01/2011','DD/MM/YYYY'),SYSDATE,SYSDATE,'N');


--
-- PASSAGE_ECHELON
--
-- ASTRONOME ADJOINT HORS CL.
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3323', '01', '801', 1, SYSDATE, SYSDATE, TO_DATE('03/12/1986', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3323', '02', '852', 1, SYSDATE, SYSDATE, TO_DATE('03/12/1986', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3323', '03', '901', 1, SYSDATE, SYSDATE, TO_DATE('03/12/1986', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3323', '04', '958', 1, SYSDATE, SYSDATE, TO_DATE('03/12/1986', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3323', '05', '1015', 5, SYSDATE, SYSDATE, TO_DATE('03/12/1986', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3323', '06', SYSDATE, SYSDATE, TO_DATE('03/12/1986', 'DD/MM/YYYY'), 'N');

-- ASTRONOME ADJOINT CLASSE NORMALE
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3324', '01', '530', 2, SYSDATE, SYSDATE, TO_DATE('01/01/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3324', '02', '608', 2, 10, SYSDATE, SYSDATE, TO_DATE('01/01/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3324', '03', '677', 2, 10, SYSDATE, SYSDATE, TO_DATE('01/01/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3324', '04', '755', 2, 10, SYSDATE, SYSDATE, TO_DATE('01/01/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3324', '05', '821', 2, 10, SYSDATE, SYSDATE, TO_DATE('01/01/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3324', '06', '882', 3, 6, SYSDATE, SYSDATE, TO_DATE('01/01/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3324', '07', '920', 2, 10, SYSDATE, SYSDATE, TO_DATE('01/01/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PASSAGE_ANNEES, DUREE_PASSAGE_MOIS, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3324', '08', '966', 2, 10, SYSDATE, SYSDATE, TO_DATE('01/01/2002', 'DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('3324', '09', '1015', SYSDATE, SYSDATE, TO_DATE('01/01/2002', 'DD/MM/YYYY'), 'N');

-- CASU
UPDATE GRHUM.PASSAGE_ECHELON SET D_FERMETURE=TO_DATE('31/07/1993','DD/MM/YYYY'),D_MODIFICATION=SYSDATE WHERE C_GRADE IN ('0312','0313') AND D_FERMETURE IS NULL;
UPDATE GRHUM.PASSAGE_ECHELON SET D_FERMETURE=TO_DATE('31/12/2010','DD/MM/YYYY'),D_MODIFICATION=SYSDATE WHERE C_GRADE IN ('0314','0315') AND D_FERMETURE IS NULL;
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '01', '529', 1, 1, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '02', '549', 1, 1, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '03', '569', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '04', '604', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '05', '639', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '06', '681', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '07', '728', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '08', '780', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '09', '811', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '10', '841', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '11', '875', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '12', '916', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, DUREE_PT_CHOIX_ANNEES, DUREE_PT_CHOIX_MOIS, DUREE_PASSAGE_ANNEES, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '13', '946', 1, 6, 2, SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');
Insert into GRHUM.PASSAGE_ECHELON(C_GRADE, C_ECHELON, C_INDICE_BRUT, D_CREATION, D_MODIFICATION, D_OUVERTURE, TEM_LOCAL)
 Values('0316', '14', '985', SYSDATE, SYSDATE, TO_DATE('01/01/2011','DD/MM/YYYY'), 'N');



--
-- PASSAGE_CHEVRON
--
-- ASTRONOME ADJOINT HORS CL.
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('3323', '06', 'A-1', 1, SYSDATE, SYSDATE, '1101', TO_DATE('03/12/1986', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, DUREE_CHEVRON_ANNEES, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('3323', '06', 'A-2', 1, SYSDATE, SYSDATE, '1150', TO_DATE('03/12/1986', 'DD/MM/YYYY'));
Insert into GRHUM.PASSAGE_CHEVRON(C_GRADE, C_ECHELON, C_CHEVRON, D_CREATION, D_MODIFICATION, C_INDICE_BRUT, D_OUVERTURE)
 Values('3323', '06', 'A-3', SYSDATE, SYSDATE, '1217', TO_DATE('03/12/1986', 'DD/MM/YYYY'));

 
 
--
-- LIEN_GRADE_MEN_TG
--
-- CASU
UPDATE GRHUM.LIEN_GRADE_MEN_TG SET DATE_FERMETURE=TO_DATE('31/12/2010','DD/MM/YYYY'),D_MODIFICATION=SYSDATE WHERE C_GRADE IN ('0314','0315') AND DATE_FERMETURE IS NULL;
INSERT INTO GRHUM.LIEN_GRADE_MEN_TG(C_GRADE, C_GRADE_TG, DATE_OUVERTURE, D_CREATION, D_MODIFICATION, LIBELLE)
 Values('0316','0033060000',TO_DATE('01/01/2011','DD/MM/YYYY'),SYSDATE,SYSDATE,'C.A.S.U.'); 

 

--
-- DB_VERSION
--
UPDATE GRHUM.DB_VERSION SET DBV_INSTALL=SYSDATE WHERE DBV_LIBELLE='1.7.1.6';


COMMIT;
